#ifndef TOOLS_H
#define TOOLS_H


#include <SFML/Graphics.hpp>
#include <math.h>

#define PI 3.141592653589793
#define PREC 64
#define PREC_CENTER 128

extern sf::Font font;

struct pt_datum
{
    sf::Vector2f p;
    int loops;
};


void drawLine(sf::RenderTarget *W,sf::Vector2f v1,sf::Vector2f v2, sf::Color c=sf::Color::Black);
void drawDot(sf::RenderTarget *W,sf::Vector2f p, float r = 1, sf::Color c=sf::Color::Black);
void writeText(sf::RenderTarget *W, std::string s, sf::Vector2f p, sf::Color c = sf::Color::White);
float dist(sf::Vector2f p, sf::Vector2f q);
float angle(sf::Vector2f s, sf::Vector2f e);
float abs(float a);



#endif
