#ifndef LOGSPIRALE_H
#define LOGSPIRALE_H

#include <SFML/Graphics.hpp>
#include "tools.h"


class LogSpiral
{
    public:
        LogSpiral();
        virtual ~LogSpiral();

        void setParameters(float, float, bool = true);
        void setRate(float);

        float getRate();

        float ComputeBest(sf::Vector2f, std::vector<pt_datum>);
        sf::Vector2f ComputeBestCenter(sf::Vector2f , std::vector<pt_datum>);

        void Draw(sf::RenderTarget *, sf::Vector2f,  sf::Color = sf::Color::Black);
        void DrawDot(sf::RenderTarget *, sf::Vector2f,  float,sf::Color = sf::Color::Black);

        std::string printValues();

    protected:

    private:
        float m_sradius;
        float m_rate;
        bool  m_orientation;

        float m_fit;
};

#endif // LOGSPIRALE_H
